<div class="grid">
	<header class="row no-padding clearfix">
		<div class="col-1"><h2>Ny Utländsk Ägare</h2></div>
	</header>


	<div class="row clearfix">
		<div svab-feedback-target="owner.get"></div>


		<div class="col-1">
			<form name="ownerForm" novalidate>
				<div svab-feedback-target="owner.update"></div>
				<div svab-feedback-target="owner.create"></div>

				<fieldset>
					<legend >Kontaktuppgifter</legend>
					<div class="col-1">
						<p><label>Förnamn</label><input name="firstName"
						                                                      ng-model="owner.firstName"
						                                                      placeholder="Förnamn" />
						</p>
					</div>

					<div class="col-1">
						<p><label class="form-required">Efternamn/Företagsnamn</label><input name="lastName"
						                                                        ng-model="owner.lastName"
						                                                        placeholder="Efternamn/Företagsnamn"
						                                                        ng-required="required" />
						</p>
						<div ng-messages="ownerForm.lastName.$error" ng-show="ownerForm.lastName.$touched">
							<p class="form-feedback error" ng-message="required">Ange efternamn</p>
						</div>
					</div>

					<div class="col-1">
						<p><label>Telefonnummer</label><input name="contactDetailsPhoneNumbe"
						                                      ng-model="owner.contactDetails.phoneNumber"
						                                      placeholder="Telefonnr" />
						</p>

					</div>

					<div class="col-1">
						<p><label>Email</label><input type="email"
						                              name="contactDetailsEmail"
						                              ng-model="owner.contactDetails.email"
						                              placeholder="lorem@ipsum.se"/>
						</p>
					</div>
				</fieldset>

				<fieldset>
					<legend >
						<span>Adress 1</span>
					</legend>
					<div class="col-1">
						<p><label>c/o</label><input type="text" name="primaryAddressCOAddress" ng-model="owner.primaryAddress.cOAddress" placeholder="c/o"/>
						</p>
					</div>

					<div class="col-1">
						<p><label class="form-required">Adress</label><input type="text"
						                                                     name="primaryAddressStreetAddress"
						                                                     ng-model="owner.primaryAddress.streetAddress"
						                                                     placeholder="Adress"
						                                                     required/>
						</p>

						<div ng-messages="ownerForm.primaryAddressStreetAddress.$error" ng-show="ownerForm.primaryAddressStreetAddress.$touched">
							<p class="form-feedback error" ng-message="required">Ange adress</p>
						</div>
					</div>

					<div class="col-1">
						<p><label>Postnr</label><input type="text"
						                                                     name="primaryAddressZipCode"
						                                                     ng-model="owner.primaryAddress.zipCode"
						                                                     placeholder="123 45" ng-pattern="/^.{1,5}$/"/>
						</p>

					</div>

					<div class="col-1">
						<p><label class="form-required">Postort</label><input type="text"
						                                                      name="primaryAddressCity"
						                                                      ng-model="owner.primaryAddress.city"
						                                                      placeholder="Postort"
						                                                      required/>
						</p>
						<div ng-messages="ownerForm.primaryAddressCity.$error" ng-show="ownerForm.primaryAddressCity.$touched">
							<p class="form-feedback error" ng-message="required">Ange postort</p>
						</div>
					</div>

					<p class="col-1"><label class="form-required">Land</label><input type="text"
					                                           name="primaryAddressCountry"
					                                           ng-model="owner.primaryAddress.country"
					                                           placeholder="Land"
					                                           required/>
					</p>
						<div ng-messages="ownerForm.primaryAddressCountry.$error" ng-show="ownerForm.primaryAddressCountry.$touched">
							<p class="form-feedback error" ng-message="required">Ange land</p>
						</div>
				</fieldset>

				<fieldset>
					<legend >Adress 2</legend>
					<p class="col-1"><label>c/o</label><input type="text"
					                                          name="alternateAddressCOAddress"
					                                          ng-model="owner.alternateAddress.cOAddress"
					                                          placeholder="c/o"/></p>

					<div class="col-1">
						<p><label>Adress</label><input type="text"
						                                                     name="alternateAddressStreetAddress"
						                                                     ng-model="owner.alternateAddress.streetAddress"
						                                                     placeholder="Adress"/>
						</p>
					</div>

					<div class="col-1">
						<p><label>Postnr</label><input type="text"
						                                                     name="alternateAddressZipCode"
						                                                     ng-model="owner.alternateAddress.zipCode"
						                                                     placeholder="123 45"
								ng-pattern="/^.{1,5}$/"/>
						</p>

						<div ng-messages="ownerForm.alternateAddressZipCode.$error" ng-show="ownerForm.alternateAddressZipCode.$touched">
							<p class="form-feedback error" ng-message="pattern">Ange postnummer med högst fem tecken</p>
						</div>
					</div>

					<div class="col-1">
						<p><label>Postort</label><input type="text"
						                                                      name="alternateAddresCity"
						                                                      ng-model="owner.alternateAddress.city"
						                                                      placeholder="Postort"/>
						</p>
					</div>

					<p class="col-1"><label>Land</label><input type="text"
					                                           name="alternateAddressCountry"
					                                           ng-model="owner.alternateAddress.country"
					                                           placeholder="Land"/></p>
				</fieldset>

				<div class="col-1 buttons">
					<button ng-hide="fromTransaction" class="col-1 update" type="submit" ng-click="saveForeign(owner, ownerForm)">Spara</button>
					<button ng-show="fromTransaction" class="col-1 update" type="submit" ng-click="saveForeign(owner, ownerForm)">Nästa</button>
				</div>


			</form>
		</div>

	</div>
</div>
